weka

## Enum Run.SchemeType

- java.lang.Object
- - java.lang.Enum<Run.SchemeType>
  - - weka.Run.SchemeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Run.SchemeType>
  Enclosing class:
    Run

      public static enum Run.SchemeType
      extends java.lang.Enum<Run.SchemeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSOCIATOR`
    `ATTRIBUTE_SELECTION`
    `CLASSIFIER`
    `CLUSTERER`
    `COMMANDLINE`
    `DATAGENERATOR`
    `FILTER`
    `LOADER`
    `SAVER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static Run.SchemeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Run.SchemeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLASSIFIER

          public static final Run.SchemeType CLASSIFIER

    - #### CLUSTERER

          public static final Run.SchemeType CLUSTERER

    - #### ASSOCIATOR

          public static final Run.SchemeType ASSOCIATOR

    - #### ATTRIBUTE_SELECTION

          public static final Run.SchemeType ATTRIBUTE_SELECTION

    - #### FILTER

          public static final Run.SchemeType FILTER

    - #### LOADER

          public static final Run.SchemeType LOADER

    - #### SAVER

          public static final Run.SchemeType SAVER

    - #### DATAGENERATOR

          public static final Run.SchemeType DATAGENERATOR

    - #### COMMANDLINE

          public static final Run.SchemeType COMMANDLINE

  - ### Method Detail

    - #### values

          public static Run.SchemeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Run.SchemeType c : Run.SchemeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Run.SchemeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Run.SchemeType>`